/* Install script for sound driver            */
/* Unpack/Unzip the distribution package here */ 
/* 10.11.2002: created                        */

parse arg target source mode

/* get additional parameters from environment */
product_log       = value("PRODUCT_LOG"      , ,"OS2ENVIRONMENT")
inst_dir          = value("INST_DIR"         , ,"OS2ENVIRONMENT")

/* check if we are in uninstall mode */
if mode = 'UNINSTALL' then do
	call uninstall
	exit
end

/* exit if package does not exist */
if stream(inst_dir'\cardinfo.dll', 'c', 'query exists') = '' then exit 9

cdir = directory()
call directory inst_dir
'@minstall'
call directory cdir

exit

uninstall:

	nop;

return
